## com.bbn.openmap.geo
Class ExtentIndex.ArrayListExtentIndexImpl

    java.lang.Object
      java.util.AbstractCollection
          com.bbn.openmap.geo.ExtentIndex.AbstractExtentIndex
              com.bbn.openmap.geo.ExtentIndex.ArrayListExtentIndexImpl

All Implemented Interfaces:
  java.util.Collection, ExtentIndex

Direct Known Subclasses:
  ExtentIndexImpl

Enclosing class:
  ExtentIndex

public static class ExtentIndex.ArrayListExtentIndexImpl
extends ExtentIndex.AbstractExtentIndex

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.geo.ExtentIndex
`ExtentIndex.AbstractExtentIndex, ExtentIndex.ArrayListExtentIndexImpl, ExtentIndex.HashSetExtentIndexImpl`

Field Summary

Fields inherited from class com.bbn.openmap.geo.ExtentIndex.AbstractExtentIndex
`all, buckets, D_MARGIN, D_NBUCKETS, discarded, margin, nbuckets, polar`

Constructor Summary
`ExtentIndex.ArrayListExtentIndexImpl()`
`ExtentIndex.ArrayListExtentIndexImpl(double m)`
`ExtentIndex.ArrayListExtentIndexImpl(int nb)`
`ExtentIndex.ArrayListExtentIndexImpl(int nb, double m)`

Method Summary
`protected java.util.Collection` `makeBucket(int sizeHint)` implement to specify the factory to use to create Bucket storage.

Methods inherited from class com.bbn.openmap.geo.ExtentIndex.AbstractExtentIndex
`add, addExtent, bucketFor, clear, indexHorizontalRange, iterator, iterator, lookup, lookup, lookupByBoundingCircle, lookupByPath, lookupBySegment, makeBucket, normalizeLon, normalizeLons, removeExtent, size, toString`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`addAll, contains, containsAll, equals, hashCode, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### ExtentIndex.ArrayListExtentIndexImpl

    public ExtentIndex.ArrayListExtentIndexImpl()

### ExtentIndex.ArrayListExtentIndexImpl

    public ExtentIndex.ArrayListExtentIndexImpl(int nb)

### ExtentIndex.ArrayListExtentIndexImpl

    public ExtentIndex.ArrayListExtentIndexImpl(double m)

### ExtentIndex.ArrayListExtentIndexImpl

    public ExtentIndex.ArrayListExtentIndexImpl(int nb,
                                                double m)

Method Detail

### makeBucket

    protected java.util.Collection makeBucket(int sizeHint)

  Description copied from class: `ExtentIndex.AbstractExtentIndex`
  implement to specify the factory to use to create Bucket storage.

  Specified by:
    `makeBucket` in class `ExtentIndex.AbstractExtentIndex`
  Parameters:
    `sizeHint` - a guess at the number of elements that are likely to be stored in this bucket or 0 if unknown.
  Returns:
    A Collection instance suitable for use as a bucket

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details